=== debian/changelog ===
edbrowse (3.7.4-3) unstable; urgency=medium

  * tests/control: Touch .ebrc to fix test.
  * patches/ssl: Fix build with newer libssl.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 04 Nov 2018 01:12:42 +0100

edbrowse (3.7.4-2) unstable; urgency=medium

  * control: Bump Standards-Version to 4.2.0 (no changes).
  * tests/control: Add autopkgtest.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 28 Oct 2018 23:32:24 +0100

edbrowse (3.7.4-1) unstable; urgency=medium

  * New upstream release
  * source/lintian-overrides: Ignore startwindow.js long line.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 30 Jun 2018 13:23:35 +0200

edbrowse (3.7.3-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards-Version to 4.1.4 (no changes).

 -- Samuel Thibault <sthibault@debian.org>  Mon, 30 Apr 2018 02:43:01 +0200
