=== debian/control ===
Source: edbrowse
Section: net
Priority: optional
Maintainer: Debian Accessibility Team <pkg-a11y-devel@lists.alioth.debian.org>
Uploaders:
 Gergely Nagy <algernon@balabit.hu>,
 Paul Gevers <elbrus@debian.org>,
 Samuel Thibault <sthibault@debian.org>,
Build-Depends:
 cmake,
 debhelper (>= 11~),
 duktape-dev,
 libcurl4-openssl-dev,
 libpcre3-dev,
 libreadline-dev,
 libssl-dev,
 libtidy-dev,
Vcs-Browser: https://salsa.debian.org/a11y-team/edbrowse.git
Vcs-Git: https://salsa.debian.org/a11y-team/edbrowse.git
Homepage: http://edbrowse.org/
Standards-Version: 4.2.0
Rules-Requires-Root: no

Package: edbrowse
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 poppler-utils | xpdf-utils,
Provides:
 editor,
 mail-reader,
 www-browser,
Description: /bin/ed-alike webbrowser written in C
 edbrowse is a reimplementation of /bin/ed, with some basic
 differences (it uses Perl regular expressions) with the ability to
 visit webpages and ftp sites. edbrowse performs basic transformations
 on the html source to produce a readable representation. edbrowse
 supports Forms, Frames, Netscape-style cookies, HTTPS
 connections and JavaScript.
