## edbrowse 3.7.6

=== CMakeLists.txt ===
--- 
+++ 
@@ -12,7 +12,7 @@
 # ### NOTE: from sersguide.htm
 set( eb_MAJOR 3 )
 set( eb_MINOR 7 )
-set( eb_POINT 4 )
+set( eb_POINT 6 )
 
 # Allow developer to select is Dynamic or static library built
 set( LIB_TYPE STATIC )  # set default static
@@ -167,6 +167,9 @@
     else ()
         message( FATAL "*** Threads NOT FOUNDunable to proceed")
     endif ()
+else ()
+    find_package (Threads)
+    list(APPEND add_LIBS ${CMAKE_THREAD_LIBS_INIT})
 endif ()
 
 if (BUILD_EDBR_ODBC) # if the user OPTION ON
@@ -204,6 +207,8 @@
 # see tools/build*.pl scripts
 file(GLOB LANG_EBRC_FILES "lang/ebrc-*")
 message(STATUS "Language ebrc files: LANG_EBRC_FILES=${LANG_EBRC_FILES}")
+file(GLOB DOC_GUIDE_FILES "doc/usersguide*.html")
+message(STATUS "Doc guide files: DOC_GUIDE_FILES=${DOC_GUIDE_FILES}")
 file(GLOB LANG_MSG_FILES "lang/msg-*")
 message(STATUS "Language msg files: LANG_MSG_FILES=${LANG_MSG_FILES}")
 
@@ -217,10 +222,11 @@
 if (PERL)
     add_custom_command(
         OUTPUT ${GEN_SOURCES}
-        COMMAND perl -f tools/buildsourcestring.pl src/startwindow.js startWindowJS src/third.js thirdJS src/startwindow.c
+        COMMAND perl -f tools/buildsourcestring.pl src/startwindow.js startWindowJS src/endwindow.js thirdJS src/startwindow.c
         COMMAND perl -f tools/buildebrcstring.pl
         COMMAND perl -f tools/buildmsgstrings.pl
-        DEPENDS ${LANG_EBRC_FILES} ${LANG_MSG_FILES} src/startwindow.js src/third.js
+        DEPENDS ${LANG_EBRC_FILES} ${LANG_MSG_FILES} src/startwindow.js src/endwindow.js
+            ${DOC_GUIDE_FILES}
             tools/buildsourcestring.pl
             tools/buildebrcstring.pl
             tools/buildmsgstrings.pl
@@ -316,13 +322,3 @@
     ${dir}/jseng-duk.c
     ${ODBC_SRCS}
     ${GEN_SOURCES}
-    )
-set(${name}_HDRS
-    ${dir}/eb.h
-    ${dir}/ebprot.h
-    ${dir}/messages.h
-    )
-if (MSVC)
-    list(APPEND ${name}_SRCS win32/vsprtf.c win32/dirent.c)
-    list(APPEND ${name}_HDRS win32/vsprtf.h win32/dirent.h)
-    include_directories( win32 )
