=== debian/changelog ===
edbrowse (3.7.6-1build1) focal; urgency=medium

  * No-change rebuild against libduktape205

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 28 Feb 2020 23:15:33 +0000

edbrowse (3.7.6-1) unstable; urgency=medium

  * New upstream version.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 19 Jan 2020 19:51:39 +0100

edbrowse (3.7.5.1-1) unstable; urgency=medium

  * New upstream version.
    - patches/ssl: Fixed upstream.
  * Update Uploaders list (Closes: Bug#918195)
  * control: Bump Standards-Version to 4.4.0 (no changes).
  * tests/control: Set test as superficial.
  * watch: Generalize pattern.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 29 Sep 2019 14:46:00 +0200
