=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: edbrowse
 Section: net
 Priority: optional
-Maintainer: Debian Accessibility Team <pkg-a11y-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Accessibility Team <pkg-a11y-devel@lists.alioth.debian.org>
 Uploaders:
- Gergely Nagy <algernon@balabit.hu>,
  Paul Gevers <elbrus@debian.org>,
  Samuel Thibault <sthibault@debian.org>,
 Build-Depends:
@@ -18,7 +18,7 @@
 Vcs-Browser: https://salsa.debian.org/a11y-team/edbrowse.git
 Vcs-Git: https://salsa.debian.org/a11y-team/edbrowse.git
 Homepage: http://edbrowse.org/
-Standards-Version: 4.2.0
+Standards-Version: 4.4.0
 Rules-Requires-Root: no
 
 Package: edbrowse
