=== debian/watch ===
version=4
https://github.com/CMB/edbrowse/releases .*/v?@ANY_VERSION@@ARCHIVE_EXT@
