## edbrowse 3.7.7

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 # CMakeLists.txt generated 2015/09/20 00:38:06
 # by make2cmake.pl from F:\Projects\edbrowse\makefile
 
-cmake_minimum_required (VERSION 2.8.8)
+cmake_minimum_required (VERSION 3.6)
 
 project (edbrowse)
 
@@ -12,7 +12,7 @@
 # ### NOTE: from sersguide.htm
 set( eb_MAJOR 3 )
 set( eb_MINOR 7 )
-set( eb_POINT 6 )
+set( eb_POINT 7 )
 
 # Allow developer to select is Dynamic or static library built
 set( LIB_TYPE STATIC )  # set default static
@@ -84,6 +84,10 @@
     message(STATUS "*** CURL found inc ${CURL_INCLUDE_DIRS} lib ${CURL_LIBRARIES}")
     include_directories( ${CURL_INCLUDE_DIRS} )
     list( APPEND add_LIBS ${CURL_LIBRARIES} )
+    if(WIN32)
+        list( APPEND add_LIBS crypt32.lib Ws2_32.lib Wldap32.lib )
+        add_definitions( -DCURL_STATICLIB )
+    endif()    
     message(STATUS "cURL version ${CURL_VERSION_STRING}")
 else ()
     message(FATAL_ERROR "*** CURL NOT FOUND")
@@ -98,6 +102,7 @@
     include_directories( ${PCRE_INCLUDE_DIR} )
     list( APPEND add_LIBS ${PCRE_LIBRARY} )
     #message(STATUS "PCRE version ${PCREL_VERSION_STRING}")
+    add_definitions( -DPCRE_STATIC )
 else ()
     message(FATAL_ERROR "*** PCRE NOT FOUND")
 endif ()
@@ -184,7 +189,8 @@
         include_directories( ${ODBC_INCLUDE_DIRECTORIES} )
         list( APPEND add_LIBS ${ODBC_LIBRARIES} )
     else ()
-        message(STATUS "*** ODBC NOT FOUND")
+        message(STATUS "*** ODBC NOT FOUND - cancel BUILD_EDBR_ODBC")
+        set(BUILD_EDBR_ODBC 0)
     endif ()
 endif ()
     
@@ -309,16 +315,3 @@
     ${dir}/url.c
     ${dir}/stringfile.c
     ${dir}/html-tidy.c
-    ${dir}/decorate.c
-    ${dir}/http.c
-    ${dir}/auth.c
-    ${dir}/css.c
-	${dir}/html.c
-    ${dir}/format.c
-    ${dir}/cookies.c
-    ${dir}/cache.c
-    ${dir}/ebjs.c
-    ${dir}/plugin.c
-    ${dir}/jseng-duk.c
-    ${ODBC_SRCS}
-    ${GEN_SOURCES}
