=== debian/changelog ===
edbrowse (3.7.7-5) unstable; urgency=medium

  * control: Bump Standards-Version to 4.6.0 (no change)
  * control: Make Multi-Arch: foreign.
  * source/lintian-overrides: Update dropping warnings.
  * lintian-overrides: Drop outdated override.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 01 Jan 2023 23:07:01 +0100

edbrowse (3.7.7-4) unstable; urgency=medium

  * patches/pcre2: migrate to pcre2 (Closes: #1000056).
  * control: Build-depend on libpcre2-dev.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 11 Dec 2021 13:13:54 +0100

edbrowse (3.7.7-3) unstable; urgency=medium

  [ Samuel Thibault ]
  * Update lintian overrides.
  * watch: Update.

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Use secure URI in Homepage field.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Use canonical URL in Vcs-Browser.
  * Fix day-of-week for changelog entry 3.4.8-1.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 26 Oct 2021 00:45:11 +0200

edbrowse (3.7.7-2) unstable; urgency=medium

  * rules: Fix reproducibility by adding reproducible=+fixfilepath.
  * clean: Clean copied manpage.

 -- Samuel Thibault <sthibault@debian.org>  Fri, 01 Jan 2021 17:11:53 +0100

edbrowse (3.7.7-1) unstable; urgency=medium

  * New upstream release.
    - patches/no-common: Upstreamed.
  * control: Bump Standards-Version to 4.5.0 (no change)
  * Bump debhelper from 11 to 12.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 05 Dec 2020 12:33:17 +0100

edbrowse (3.7.6-2) unstable; urgency=medium

  * patches/no-common: Fix build with gcc-10 (Closes: Bug#957163)
  * control: Update alioth list domain.

 -- Samuel Thibault <sthibault@debian.org>  Wed, 20 May 2020 10:42:50 +0200
