=== debian/control ===
--- 
+++ 
@@ -1,28 +1,28 @@
 Source: edbrowse
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Accessibility Team <pkg-a11y-devel@lists.alioth.debian.org>
+Maintainer: Debian Accessibility Team <pkg-a11y-devel@alioth-lists.debian.net>
 Uploaders:
  Paul Gevers <elbrus@debian.org>,
  Samuel Thibault <sthibault@debian.org>,
 Build-Depends:
  cmake,
- debhelper (>= 11~),
+ debhelper-compat (= 12),
  duktape-dev,
  libcurl4-openssl-dev,
- libpcre3-dev,
+ libpcre2-dev,
  libreadline-dev,
  libssl-dev,
  libtidy-dev,
-Vcs-Browser: https://salsa.debian.org/a11y-team/edbrowse.git
+Vcs-Browser: https://salsa.debian.org/a11y-team/edbrowse
 Vcs-Git: https://salsa.debian.org/a11y-team/edbrowse.git
-Homepage: http://edbrowse.org/
-Standards-Version: 4.4.0
+Homepage: https://edbrowse.org/
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 
 Package: edbrowse
 Architecture: any
+Multi-Arch: foreign
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
