=== debian/tests/control ===
Depends: edbrowse
Test-Command: touch ~/.ebrc ; echo -e '1,$p\nq' | edbrowse www.debian.org
Restrictions: superficial
