## edbrowse 3.8.9

=== debian/changelog ===
edbrowse (3.8.9-7) unstable; urgency=medium

  * drop debian-specific SSL patch: upstream SSL code works and rejects
    incorrect certificates

 -- Sebastian Humenda <shumenda@gmx.de>  Sun, 29 Dec 2024 16:14:09 +0100

edbrowse (3.8.9-6) unstable; urgency=medium

  * fix dbgsym package creation by building with debug symbols by default
  * fix downstream patch for ssl certificate store that caused a segfault due
    to invalid free
  * depend on new QuicJS to fix CVE-2024-33263

 -- Sebastian Humenda <shumenda@gmx.de>  Thu, 25 Jul 2024 10:47:47 +0200

edbrowse (3.8.9-3) unstable; urgency=medium

  * rules,control: Record which static libquickjs edbrowse was built
    against.
  * rules, patches/cross: Fix cross-building.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 23 Mar 2024 11:24:45 +0100

edbrowse (3.8.9-2) unstable; urgency=medium

  * rules: Pick up quickjs from multiarch path (which fixes crossbuild).
  * control: Bump quickjs build-dependency accordingly.

 -- Samuel Thibault <sthibault@debian.org>  Fri, 22 Mar 2024 11:11:37 +0100

edbrowse (3.8.9-1) unstable; urgency=medium

  * New upstream release
    - control: Drop libtidy-dev and duktape-dev build-deps.
    - control: Add pkgconf, unixodbc-dev, and libquickjs build-deps.
    - patches/ssl_certs: Refresh.
    - patches/nomake: Dropped, now useless.
    - patches/pcre2: Upstreamed.
    - rules: Define QUICKJS_INCLUDE and QUICKJS_LIB.
    - docs: Install more usersguide translations.
    - install: Install edbrowse by hand.
    - patches/harden: Fix passing hardening flags.
    - source/lintian-overrides: Update.
    - copyright: Update.
  * clean: Drop generated files (Closes: Bug#1044457).

 -- Samuel Thibault <sthibault@debian.org>  Thu, 21 Mar 2024 00:41:45 +0100
