=== debian/control ===
--- 
+++ 
@@ -5,24 +5,27 @@
 Uploaders:
  Paul Gevers <elbrus@debian.org>,
  Samuel Thibault <sthibault@debian.org>,
+ Sebastian Humenda <shumenda@gmx.de>,
 Build-Depends:
  cmake,
  debhelper-compat (= 12),
- duktape-dev,
+ pkgconf,
  libcurl4-openssl-dev,
  libpcre2-dev,
+ libquickjs (>= 2024.01.13-5),
  libreadline-dev,
  libssl-dev,
- libtidy-dev,
+ unixodbc-dev,
 Vcs-Browser: https://salsa.debian.org/a11y-team/edbrowse
 Vcs-Git: https://salsa.debian.org/a11y-team/edbrowse.git
 Homepage: https://edbrowse.org/
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 
 Package: edbrowse
 Architecture: any
 Multi-Arch: foreign
+Built-Using: ${built-using}
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
