## edbrowse 3.8.10

=== debian/changelog ===
edbrowse (3.8.10-1) unstable; urgency=medium

  [ Samuel Thibault ]
  * control: Use Static-Built-Using instead of Built-Using.
  * patches/gcc-15: Fix build with gcc-15 (Closes: Bug#1096564)
  * copyright: Note new upstream mail contact.
  * watch, upstream/metadata: Update to new upstream URL.

  [ Sebastian Humenda ]
  * new upstream version
  * remove upstreamed patches

 -- Sebastian Humenda <shumenda@gmx.de>  Thu, 06 Mar 2025 08:34:08 +0100
