=== debian/control ===
--- 
+++ 
@@ -25,7 +25,7 @@
 Package: edbrowse
 Architecture: any
 Multi-Arch: foreign
-Built-Using: ${built-using}
+Static-Built-Using: ${built-using}
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
