## edbrowse 3.8.12

=== debian/changelog ===
edbrowse (3.8.12-1) unstable; urgency=medium

  * new upstream version

 -- Sebastian Humenda <shumenda@gmx.de>  Tue, 03 Jun 2025 06:16:09 +0200
