=== debian/control ===
--- 
+++ 
@@ -12,14 +12,14 @@
  pkgconf,
  libcurl4-openssl-dev,
  libpcre2-dev,
- libquickjs (>= 2024.01.13-5),
+ libquickjs (>= 2025.04.26),
  libreadline-dev,
  libssl-dev,
  unixodbc-dev,
 Vcs-Browser: https://salsa.debian.org/a11y-team/edbrowse
 Vcs-Git: https://salsa.debian.org/a11y-team/edbrowse.git
 Homepage: https://edbrowse.org/
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 
 Package: edbrowse
