=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all reproducible=+fixfilepath

export QUICKJS_INCLUDE=/usr/include/quickjs
export QUICKJS_LIB=/usr/lib/$(DEB_HOST_MULTIARCH)/quickjs
# build with debugging symbols by default, otherwise dh_strip and dbgsym logic
# fails
export EBDEBUG=1

export PKG_CONFIG=$(DEB_HOST_GNU_TYPE)-pkg-config

BUILT_USING := $(shell dpkg-query -f '$${source:Package} (= $${source:Version}), ' -W libquickjs)

%:
	dh $@

override_dh_auto_build:
	dh_auto_build
	cp doc/man-edbrowse-debian.1 debian/edbrowse.1

override_dh_gencontrol:
	echo 'built-using=$(BUILT_USING)' >> debian/edbrowse.substvars
	dh_gencontrol
