=== debian/watch ===
version=4
https://github.com/edbrowse/edbrowse/tags .*/v?@ANY_VERSION@@ARCHIVE_EXT@
